# Abbreviations

|Abbreviation|Meaning(s)|
|---|---|
|`ln`|Length|
|`sz`|Size|
|`ch`|Change, character|
|`mk`|Make|
|`rm`|Remove|
|`cp`|Copy|
|`fst`|First|
|`pre`|Previous|
|`cur`|Current|
|`nxt`|Next|
|`lst`|Last|
|`dst`|Destination|
|`init`|Initialize|
|`acc`|Accumulate|
|`inp`|Input|
|`var`|Variable|
|`val`|Value|

# One-letter abbreviations

These are highly context-dependent in their meaning, but in general:

|Letter|Meaning(s)|
|---|---|
|`a`|Accumulator, generic first variable in sequence|
|`b`|See `a` above|
|`c`|Character, current value, see `a` above|
|`d`|Difference, delta|
|`e`|Expression, exception, error, event|
|`f`|File, function|
|`g`|Also a function|
|`i`|Index, iterator, imaginary|
|`j`|Also an index, also imaginary|
|`l`|Length, list, long, last|
|`n`|Number|
|`o`|Object, out|
|`p`|Pointer|
|`r`|Return value, result|
|`s`|Size|
|`t`|Time, period|
|`v`|Vector, variable|
|`x`|First field of a vector, generic first variable in sequence, literally anything else|
|`y`|Second field of a vector, see `x` above|
|`z`|Third field of a vector, see `x` above, complex number|
